de.dhbwstuttgart.syntaxtree.type

## Class BoundedGenericTypeVar

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.type.Type
    - - de.dhbwstuttgart.syntaxtree.type.ObjectType
      - - de.dhbwstuttgart.syntaxtree.type.GenericRefType
        - - de.dhbwstuttgart.syntaxtree.GenericTypeVar

- All Implemented Interfaces:
    IItemWithOffset

      public class BoundedGenericTypeVar
      extends GenericTypeVar

  Entspricht einem GenericTypeVar, jedoch mit Bounds (d.h. vorgaben, von welchem Typ die Typevar sein darf => extends Class x => implements Interface y ...
  Author:
    hoti 4.5.06

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) Menge<ObjectType>` | `bounds` Hier sind die Bounds in Form von Type-Objekten abgespeichert
    `private int` | `endOffset`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.type.GenericTypeVar

      `genericConstraint`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.type.Type

      `name, used`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundedGenericTypeVar(java.lang.String s, Menge<ObjectType> bounds, SyntaxTreeNode parentClass, int offset, int endOffset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBound(ObjectType bound)`
    `BoundedGenericTypeVar` | `clone()` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
    `Menge<ObjectType>` | `getBounds()`
    `Menge<SyntaxTreeNode>` | `getChildren()`
    `int` | `getEndOffset()`
    `java.lang.String` | `toString()` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
    `ConstraintsSet` | `TYPE(TypeAssumptions ass)` Die Type Methode auf generische Variablen angewandt sorgt fÃ¼r deren Eintragung in die TypeAssumptions.

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.type.GenericTypeVar

      `createAssumptions, equals, get_codegen_Type, get_Name, getDeclarationContext, getName, getSignatureType, getTypePlaceHolder, hashCode, parserPostProcessing, printJavaCode, TYPE`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.type.Type

      `applyResultSet, checkTYPE, get_UsedId, getInvolvedTypePlaceholder, getOffset, getSimpleName, getSuperWildcardTypes, getUnresolvedTPH, getVariableLength, involves, set_UsedId, setOffset, Type2Key, Type2String`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, seesType`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### bounds

          Menge<ObjectType> bounds

      Hier sind die Bounds in Form von Type-Objekten abgespeichert

    - #### endOffset

          private int endOffset

  - ### Constructor Detail

    - #### BoundedGenericTypeVar

          public BoundedGenericTypeVar(java.lang.String s,
                                       Menge<ObjectType> bounds,
                                       SyntaxTreeNode parentClass,
                                       int offset,
                                       int endOffset)

  - ### Method Detail

    - #### getEndOffset

          public int getEndOffset()

      Overrides:
        `getEndOffset` in class `GenericTypeVar`

    - #### getBounds

          public Menge<ObjectType> getBounds()

    - #### TYPE

          public ConstraintsSet TYPE(TypeAssumptions ass)

      Description copied from class: `GenericTypeVar`
      Die Type Methode auf generische Variablen angewandt sorgt fÃ¼r deren Eintragung in die TypeAssumptions.
      Overrides:
        `TYPE` in class `GenericTypeVar`
      Returns:

    - #### addBound

          public void addBound(ObjectType bound)

    - #### clone

          public BoundedGenericTypeVar clone()

      Description copied from class: `GenericTypeVar`
      Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
      Overrides:
        `clone` in class `GenericTypeVar`
      Returns:
        // ino.end // ino.method.clone.26768.definition public Type clone() // ino.end // ino.method.clone.26768.body { return new RefType(this.getName().toString(), this.getParent(),getOffset()); } // ino.end

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Type`
      Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
      Overrides:
        `toString` in class `GenericTypeVar`

    - #### getChildren

          public Menge<SyntaxTreeNode> getChildren()

      Overrides:
        `getChildren` in class `Type`